Subject: Re: [patch] rtl8102e: commit 7bf6bf480 zeroized MAC address

From: Ivan Vecera <[email-masked]>
Date: Tue, 21 Oct 2008 13:15:38 +0200

Francois Romieu wrote:
> [email-masked] <[email-masked]> :
>> May be we are reading just by luck zeros and not a random perfectly
>> sane address.
> 
> I would use the attached patches. The former one is mostly Ivan's one
> with some rework of the debug messages. The later checks the eeprom
> for its signature.
> 
> With these patches the driver notices that it can not get an address
> for my 8168b but it works ok with my 8169 after both an hot and a
> cold boot. Interestingly enough, the VPD is not enabled on the 8169
> during the first boot.
> 
> Ivan, can you test them (and fix them afterwards :o) ) ?
No problem found. Both 8168c (GIGA_MAC_VER_20) and 8102el (GIGA_MAC_VER_09)
successfully loads MAC address from EEPROM (from power-off state and also
after reboot).

Ivan